Console message "could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin' " is got while installing Ubuntu15.04

Bug #1407702 reported by bugproxy on 2015-01-05
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Undecided
Adam Conrad
Trusty
Undecided
Adam Conrad
Utopic
Undecided
Adam Conrad

Bug Description

[ SRU Justification ]
Under some conditions, the kmod error messages from a missing modules.builtin will end up on the console, making it difficult to interact with the installer. Furthermore, it's a performance hit and a general confusion to be missing the file.

[ Test Case ]
Watch for errors on the console, and also check syslog at the end of the install. ls /lib/modules/$(uname -r) to see if modules.builtin.bin is non-zero length.

[ Regression potential ]
Pretty much nil, given the content of the patch, and that it's a no-op on kernels that don't provide a modules.builtin.

[ Original Report ]
== Comment: #0 - PAVAMAN SUBRAMANIYAM <email address hidden> - 2015-01-05 04:12:45 ==
---Problem Description---
could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin' message is got on the console

---uname output---
Linux ubuntu 3.16.0-28-generic #38-Ubuntu SMP Fri Dec 12 17:39:43 UTC 2014 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = P8

---Debugger---
A debugger is not configured

---Steps to Reproduce---
Install a Ubuntu 15.04 guest VM over Power KVM Host on a P8 machine.
While trying to install the guest VM, we keep on getting the below messages in the console when we try the options of the Installation menu.

  ????????????????????????? [!!] Select a language ??????????????????????????
  ? ?
  ? Choose the language to be used for the installation process. The ?
  ? selected language will also be the default language for the installed ?
  ? system. ?
  ? ?
  ? Language: ?
  ? ?
  ? C ?
  ? English ?
  ? ?
  ? <Go Back> ?
  ? ?
  ???????????????????????????????????????????????????????????????????????????

  ???????????????????????? [!!] Select your location ????????????????????????
  ? ?
  ? The selected location will be used to set your time zone and also for ?
  ? example to help select the system locale. Normally this should be the ?
  ? country where you live. ?
  ? ?
  ? This is a shortlist of locations based on the language you selected. ?
  ? Choose "other" if your location is not listed. ?
  ? ?
  ? Country, territory or area: ?
  ? ?
  ? Nigeria ?
  ? Philippines ? ?
  ? Singapore ? ?
  ? South Africa ?
  ? United Kingdom ? ?
  ? United States ?
  ? ?
  ? <Go Back> ?
  ? ?
  ???????????????????????????????????????????????????????????????????????????

<Tab> moves; <Space> selects; <Enter> activates buttons

  ???????????????? Detecting hardware to find CD-ROM drives ?????????????????
  ? ?
  ? 0% ?
  ? ?
  ? Network interface NamePolicy= disabled on kernel command line, ignoring.?
  ? could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

                                                                               could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
  could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
                                                                                  could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
     could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
                                                                                     could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

                                                                                        could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

s.

ul

                                                                                                 could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
                    could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
                                                                                                    could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

                                                                                                       could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

  ??????????????????????? Detecting network hardware ????????????????????????
  ? ?
  ? 0% ?
  ? ?
  ? Network interface NamePolicy= disabled on kernel command line, ignoring.?
  ? could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
  ??????????????????????????????????????????????????????????????????????????? could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
                                                                               could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
  could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

     could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'
                                                                                     could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

                                                                                        could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

s.

ul

                                                                                                 could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

                                                                                                    could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.16.0-28-generic/modules.builtin.bin'

Contact Information = <email address hidden>

Install ISO Information: vivid-server-ppc64el.iso

Userspace tool common name: linux-image-3.16.0-28-generic

The userspace tool has the following bit modes: 64-bit

Install method: CD

Userspace rpm: linux-image-3.16.0-28-generic

Install disk info: root@ubuntu:~# fdisk -l

Disk /dev/sda: 30 GiB, 32212254720 bytes, 62914560 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: B9AF50C8-435F-4016-9969-717AD3B18D1C

Device Start End Sectors Size Type
/dev/sda1 2048 16383 14336 7M unknown
/dev/sda2 16384 516095 499712 244M Linux filesystem
/dev/sda3 516096 62912511 62396416 29.8G Linux filesystem

Disk /dev/mapper/sda3_crypt: 29.8 GiB, 31944867840 bytes, 62392320 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk /dev/mapper/ubuntu--vg-root: 28.5 GiB, 30538727424 bytes, 59645952 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk /dev/mapper/ubuntu--vg-swap_1: 1.3 GiB, 1358954496 bytes, 2654208 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk /dev/mapper/cryptswap1: 1.3 GiB, 1358954496 bytes, 2654208 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes

Userspace tool obtained from project website: na

*Additional Instructions for <email address hidden>:
-Post a private note with access information to the machine that the bug is occuring on.
-Attach ltrace and strace of userspace application.

== Comment: #1 - David Heller <email address hidden> - 2015-01-05 09:46:10 ==
This problem is seen on x86 as well, so setting arch to All.

root@linux:~# uname -a
Linux cellc02 3.16.0-28-generic #38-Ubuntu SMP Fri Dec 12 17:37:40 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Running with a preseed file, the install seems to complete normally in spite of these errors seen on the console.

bugproxy (bugproxy) on 2015-01-05
tags: added: architecture-all bugnameltc-119947 severity-high targetmilestone-inin1504
Dave Heller (hellerda) on 2015-01-05
affects: ubuntu → linux (Ubuntu)
tags: added: kernel-da-key

------- Comment From <email address hidden> 2015-01-13 15:50 EDT-------
Problem still exists on x86 latest daily build, with this kernel level:

root@cellc02:~# uname -a
Linux cellc02 3.18.0-8-generic #9-Ubuntu SMP Mon Jan 5 22:51:10 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Chris J Arges (arges) on 2015-01-16
affects: linux (Ubuntu) → debian-installer (Ubuntu)
Adam Conrad (adconrad) wrote :

Messages like this would normally be landing in syslog, not on the console. Are you doing something special here with log redirection, or perhaps a slightly oddball cmdline or preseed?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-01-19 04:50 EDT-------
I am not giving any special command line parameters or pressing any keys.
I am just doing the default installation steps provided by the Ubuntu installer menu.
We are triggering the guest VM installation on Power KVM host and following the installation.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-01-19 18:49 EDT-------
*** Bug 120242 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-01-19 19:03 EDT-------
This message is seen pretty consistently on the console during install of latest vivid daily builds, using a preseed or not.

It is related to module loading somehow. I happen to notice this, while in the installer looking at a different problem:

~ # modinfo somemissingmodule
libkmod: kmod_lookup_alias_from_builtin_file: could not open builtin file '/lib/modules/3.18.0-9-powerpc64-smp/modules.builtin.bin'
modinfo: ERROR: Module somemissingmodule not found.

~ # ls -l /lib/modules/3.18.0-9-powerpc64-smp/
drwxr-xr-x 7 root root 140 Jan 13 21:47 kernel
-rw-r--r-- 1 root root 74445 Jan 19 18:53 modules.alias
-rw-r--r-- 1 root root 74009 Jan 19 18:53 modules.alias.bin
-rw-r--r-- 1 root root 0 Jan 19 18:53 modules.builtin.bin
-rw-r--r-- 1 root root 13333 Jan 19 18:53 modules.dep
-rw-r--r-- 1 root root 24462 Jan 19 18:53 modules.dep.bin
-rw-r--r-- 1 root root 52 Jan 19 18:53 modules.devname
-rw-r--r-- 1 root root 156975 Jan 13 00:14 modules.order
-rw-r--r-- 1 root root 55 Jan 19 18:53 modules.softdep
-rw-r--r-- 1 root root 28433 Jan 19 18:53 modules.symbols
-rw-r--r-- 1 root root 36162 Jan 19 18:53 modules.symbols.bin

The "not found" is expected, of course. But notice we see the same error message, could not open builtin file.

------- Comment From <email address hidden> 2015-01-19 19:08 EDT-------
*** Bug 120240 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-01-19 19:26 EDT-------
Now that I look, I see the same thing in my 14.10 installer. But in the case of 14.10 I do not see any such messages on the console. Hopefully this sheds some light on the problem, regardless.

~ # modinfo somemissingmodule
libkmod: kmod_lookup_alias_from_builtin_file: could not open builtin file '/lib/modules/3.16.0-23-powerpc64-smp/modules.builtin.bin'
modinfo: ERROR: Module somemissingmodule not found.

~ # ls -l /lib/modules/3.16.0-23-powerpc64-smp/
drwxr-xr-x 7 root root 140 Oct 22 16:33 kernel
-rw-r--r-- 1 root root 73450 Jan 19 19:21 modules.alias
-rw-r--r-- 1 root root 72853 Jan 19 19:21 modules.alias.bin
-rw-r--r-- 1 root root 0 Jan 19 19:21 modules.builtin.bin
-rw-r--r-- 1 root root 13276 Jan 19 19:21 modules.dep
-rw-r--r-- 1 root root 24405 Jan 19 19:21 modules.dep.bin
-rw-r--r-- 1 root root 52 Jan 19 19:21 modules.devname
-rw-r--r-- 1 root root 153731 Oct 21 21:26 modules.order
-rw-r--r-- 1 root root 55 Jan 19 19:21 modules.softdep
-rw-r--r-- 1 root root 28217 Jan 19 19:21 modules.symbols
-rw-r--r-- 1 root root 35934 Jan 19 19:21 modules.symbols.bin

Dave Heller (hellerda) wrote :

Should this be assigned to someone on the Ubuntu side, at this point? Thx.

Adam Conrad (adconrad) wrote :

Yeah, I'll pick it up and reproduce and play with it. I was just trying to determine if there were two bugs here or one, and I think there are two. A minor cosmetic issue where we don't have a builtin.bin and that spews error messages, but a slightly more major bug that those errors are going to consoles instead of just harmlessly landing in a syslog no one reads.

Changed in debian-installer (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Adam Conrad (adconrad) on 2015-01-22
Changed in debian-installer (Ubuntu Trusty):
assignee: nobody → Adam Conrad (adconrad)
Changed in debian-installer (Ubuntu Utopic):
assignee: nobody → Adam Conrad (adconrad)
Adam Conrad (adconrad) wrote :

Uploads were reviewed by Andy Whitcroft, self-accepting based on his review.

description: updated
Changed in debian-installer (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed

Hello bugproxy, or anyone else affected,

Accepted debian-installer into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu318.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello bugproxy, or anyone else affected,

Accepted debian-installer into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu352.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu360

---------------
debian-installer (20101020ubuntu360) vivid; urgency=medium

  * Cherry-pick patch from Debian to keep modules.builtin (LP: #1407702)
 -- Adam Conrad <email address hidden> Thu, 22 Jan 2015 05:00:03 -0700

Changed in debian-installer (Ubuntu):
status: New → Fix Released

------- Comment From <email address hidden> 2015-01-22 17:45 EDT-------
(In reply to comment #13)
> Yeah, I'll pick it up and reproduce and play with it. I was just trying to
> determine if there were two bugs here or one, and I think there are two. A
> minor cosmetic issue where we don't have a builtin.bin and that spews error
> messages, but a slightly more major bug that those errors are going to
> consoles instead of just harmlessly landing in a syslog no one reads.

Agreed.

Fixed now in the latest daily build. No longer seeing messages during install, or from the modinfo command. And I see we now have complete modules.builtin and modules.builtin.bin files.

I assume the purpose of these files is to identify modules that are built into the kernel rather than built as modules. I think this is very useful info; please keep these files here.

Looks good now, thanks!

Download full text (3.6 KiB)

Just did the test using dialy (jan 23) and the message is still there:

ISO: /scratch/images/ubuntu/daily/vivid-server-ppc64el_2015-01-23.iso
MD5SUM: d9b71a2045b9bf14cd889d1c8ff9f8a7
PRESEED: ext4

Detecting hardware to find CD-ROM drives ... 95%... 100%
Network interface NamePolicy= disabled on kernel command line, ignoring.
Scanning CD-ROM ... 10%... 20%... 30%... 40%... 50%... 60%... 70%... 80%... 90%... 100%
Loading additional components ... 10%... 20%... 30%... 40%... 50%... 60%... 70%... 80%... 90%... 100%
Detecting network hardware Network interface NamePolicy= disabled on kernel command line, ignoring.
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'

could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'

could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'

... 95%... 100%
Detecting link on eth0; please wait...
Waiting for link-local address... ... 16%... 25%... 33%... 41%... 50%... 100%
Attempting IPv6 autoconfiguration... ... 16%... 25%... 33%... 41%... 50%... 66%... 75%... 83%... 91%... 100%
Configuring the network with DHCP ... 100%
Loading additional components ... 33%... 66%... 100%
Generating SSH host key
Setting up the clock ... 10%... 20%... 30%... 40%... 50%... 60%... 70%... 80%... 100%
Detecting disks and all other hardware could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'

could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'

could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
could not open builtin file '/lib/modules/3.18.0-9-generic/modules.builtin.bin'
....

Read more...

Breno Leitão (breno-leitao) wrote :

We just did some tests today at IBM and the problem is now gone. Thanks!

tags: added: verification-done
removed: verification-needed

Yep. I confirm that the message is gone...

Detecting hardware to find CD-ROM drives ... 95%... 100%
Network interface NamePolicy= disabled on kernel command line, ignoring.
Scanning CD-ROM ... 10%... 20%... 30%... 40%... 50%... 60%... 70%... 80%... 90%... 100%
Loading additional components ... 10%... 20%... 30%... 40%... 50%... 60%... 70%... 80%... 90%... 100%
Detecting network hardware Network interface NamePolicy= disabled on kernel command line, ignoring.
... 95%... 100%
Detecting link on eth0; please wait...
Waiting for link-local address... ... 16%... 25%... 33%... 41%... 50%... 100%
Attempting IPv6 autoconfiguration... ... 16%... 25%... 33%... 41%... 50%... 66%... 75%... 83%... 91%... 100%
Configuring the network with DHCP ... 100%
Loading additional components ... 20%... 40%... 60%... 80%... 100%
Generating SSH host key
Setting up the clock ... 10%... 20%... 30%... 40%... 50%... 60%... 70%... 80%... 100%
Detecting disks and all other hardware Network interface NamePolicy= disabled on kernel command line, ignoring.
... 95%... 100%
Loading additional components ... 16%... 33%... 50%... 66%... 83%... 100%
Starting up the partitioner Network interface NamePolicy= disabled on kernel command line, ignoring.
... 13%... 21%... 30%... 43%... 52%... 60%... 73%... 82%... 91%... 100%
Guided partitioning ... 20%... 40%... 60%... 80%
Partitions formatting ... 33%
Partitions formatting Network interface NamePolicy= disabled on kernel command line, ignoring.

Installing the system... ... 10%... 20%... 30%... 40%... 50%... 60%... 70%Network interface NamePolicy= disabled on kernel command line, ignoring.
... 83%... 90%... 100%
Configuring apt ... 10%... 20%... 30%... 40%... 50%... 60%... 70%... 65%... 70%... 80%... 90%... 100%
Select and install software ... 10%... 25%... 30%... 40%... 50%... 60%... 70%... 80%... 91%... 100%
Installing GRUB boot loader ... 16%... 33%... 50%Network interface NamePolicy= disabled on kernel command line, ignoring.
... 66%... 83%... 100%
Finishing the installation ... 11%... 23%... 30%... 42%... 50%... 61%... 73%... 80%... 92%
The system is going down NOW!

The verification of the Stable Release Update for debian-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu318.15

---------------
debian-installer (20101020ubuntu318.15) trusty; urgency=medium

  * Cherry-pick patch from Debian to keep modules.builtin (LP: #1407702)
  * Move keystone kernels to 3.13.0-21.
 -- Adam Conrad <email address hidden> Thu, 22 Jan 2015 05:00:55 -0700

Changed in debian-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu352.2

---------------
debian-installer (20101020ubuntu352.2) utopic; urgency=medium

  * Cherry-pick patch from Debian to keep modules.builtin (LP: #1407702)
  * Move master kernels to 3.16.0-30.
 -- Adam Conrad <email address hidden> Thu, 22 Jan 2015 05:06:12 -0700

Changed in debian-installer (Ubuntu Utopic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers